package com.ann.demo.entity.filing;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @Description 患者清单详情 是 ArchiveMaster患者清单 从属关系
 * @Date 2019/7/9 10:07
 * @Created by  ljx
 */
@Entity
@Table
public class ArchiveDetail {

    @Id
    private String id;

    private String pdfPath;

    // -----------------------绑定关系
    @Column(name = "masterid")
    private String masterID;

    @Column(name = "uploaddatetime")
    private Date upLoadDateTime;

    @Column(name = "assortid")
    private String assortID;

    private String source;

    @Column(name = "subassort")
    private String subAssort;

    private String title;

    private String flag = "0";

    private String sys;

    private Integer pageNumber = 1;
    /**
     * 扩展字段： 用于进行更新状态、与报告进行匹配
     * 2019-9-4
     */
    private String applyId;

    // 2020-12-28 新增报告单号
    private String checkReportId;

    //2021-11-11新增报告单号，不敢与原有checkReportId雷同
    @Column(name = "filecontext")
    private String fileContext;
    public ArchiveDetail() {
    }

    // 普通下载
    public ArchiveDetail(String id,String masterID, Date upLoadDateTime, String assortID, String source, String applyId, String title,String fileContext) {
        this.id = id;
        this.masterID = masterID;
        this.upLoadDateTime = upLoadDateTime;
        this.assortID = assortID;
        this.source = source;
        this.applyId = applyId;
        this.title = title;
        this.fileContext = fileContext;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPdfPath() {
        return pdfPath;
    }

    public void setPdfPath(String pdfPath) {
        this.pdfPath = pdfPath;
    }

    public String getMasterID() {
        return masterID;
    }

    public void setMasterID(String masterID) {
        this.masterID = masterID;
    }

    public Date getUpLoadDateTime() {
        return upLoadDateTime;
    }

    public void setUpLoadDateTime(Date upLoadDateTime) {
        this.upLoadDateTime = upLoadDateTime;
    }

    public String getAssortID() {
        return assortID;
    }

    public void setAssortID(String assortID) {
        this.assortID = assortID;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getSubAssort() {
        return subAssort;
    }

    public void setSubAssort(String subAssort) {
        this.subAssort = subAssort;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getSys() {
        return sys;
    }

    public void setSys(String sys) {
        this.sys = sys;
    }

    public Integer getPageNumber() {
        return pageNumber;
    }

    public void setPageNumber(Integer pageNumber) {
        this.pageNumber = pageNumber;
    }

    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public String getCheckReportId() {
        return checkReportId;
    }

    public void setCheckReportId(String checkReportId) {
        this.checkReportId = checkReportId;
    }


    public String getFileContext() {
        return fileContext;
    }

    public void setFileContext(String fileContext) {
        this.fileContext = fileContext;
    }
}
