package com.ann.demo.entity.filing.dto;

import lombok.Data;

import java.util.Date;

/**
 * @Description
 * @Date 2019/7/9 16:50
 * @Created by  ljx
 */
public class MessageDto<T> {

    private String entity;

    private T object;

    private Date xmlCreateTime;

    private String type;

    private String inpNo;

    private String visitId;

    private String propertiesPath;

    private String reportAddress;

    // 2019-7-26 新增报告单号 考虑会传多次报告 但地址一样
    private String checkReportId;

    /**
     * 如果是入院信息 那么就会有新增 修改
     */
    private String addFlag;

    /**
     * 扩展字段： 用于进行更新状态、与报告进行匹配
     * 2019-9-4
     */
    private String applyId;

    // 2019-9-16 新增来源
    private String source;

    // 2019-9-20  电子病历 新增子类 比如病历文书>知情同意
    private String subType;

    // 2020-4-20  报告标题
    private String detailType;

    // 2021-5-26 新增检验外送报告标识 ，如果是检验外送 默认传广州金域
    private String deliveryFlag;

    // 2023-09-04 新增检验外送的报告条码
    private String barCode;

    public MessageDto() {
    }

    public MessageDto(String entity, T object, String type, String propertiesPath, String source) {
        this.entity = entity;
        this.object = object;
        this.type = type;
        this.propertiesPath = propertiesPath;
        this.source = source;
    }

    public void setEntity(String entity) {
        this.entity = entity;
    }

    public void setObject(T object) {
        this.object = object;
    }

    public void setXmlCreateTime(Date xmlCreateTime) {
        this.xmlCreateTime = xmlCreateTime;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public void setPropertiesPath(String propertiesPath) {
        this.propertiesPath = propertiesPath;
    }

    public void setReportAddress(String reportAddress) {
        this.reportAddress = reportAddress;
    }

    public void setCheckReportId(String checkReportId) {
        this.checkReportId = checkReportId;
    }

    public void setAddFlag(String addFlag) {
        this.addFlag = addFlag;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public void setSubType(String subType) {
        this.subType = subType;
    }

    public void setDetailType(String detailType) {
        this.detailType = detailType;
    }

    public void setDeliveryFlag(String deliveryFlag) {
        this.deliveryFlag = deliveryFlag;
    }

    public String getEntity() {
        return entity;
    }

    public T getObject() {
        return object;
    }

    public Date getXmlCreateTime() {
        return xmlCreateTime;
    }

    public String getType() {
        return type;
    }

    public String getInpNo() {
        return inpNo;
    }

    public String getVisitId() {
        return visitId;
    }

    public String getPropertiesPath() {
        return propertiesPath;
    }

    public String getReportAddress() {
        return reportAddress;
    }

    public String getCheckReportId() {
        return checkReportId;
    }

    public String getAddFlag() {
        return addFlag;
    }

    public String getApplyId() {
        return applyId;
    }

    public String getSource() {
        return source;
    }

    public String getSubType() {
        return subType;
    }

    public String getDetailType() {
        return detailType;
    }

    public String getDeliveryFlag() {
        return deliveryFlag;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }
}
