package com.ann.demo.entity.interfaceEntity;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @Description 消息表
 * @Date 2019/6/17 10:27
 * @Created by  ljx
 */

@Table
@Entity
public class MessageLog {

    @Id
    @GenericGenerator(name = "system-uuid", strategy = "uuid2")
    @GeneratedValue(generator = "system-uuid")
    private String id;

    @Lob
    /**
     *  输入内容
     * */
    private String inputContent;

    /**
     * 输出内容
     */
    @Lob
    private String outContent;

    /**
     * 类型 与 字典表匹配
     */
    private String type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 消息结果 0 未成功 1是成功
     */
    private Integer result;

    /**
     * 返回json
     */
    @Lob
    private String outJson;

    /**
     * 接口名称
     */
    private String interfaceName;

    /**
     * xml创建时间
     */
    private Date xmlCreateTime;

    /**
     * 执行时间
     */
    private Long executionTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * xml执行时间
     */
    private Long xmlExecutionTime;


    /*
     * 2020-3-20 新增masterId
     * */
    private String masterId;

    /*
     * 2020-3-20 新增webserviceInfo
     * */
    private String webserviceInfo;


    // ---------------------------时间怎么变成了毫秒数
    public MessageLog(String inputContent, String interfaceName, Date createTime,String webserviceInfo) {
        this.inputContent = inputContent;
        this.interfaceName = interfaceName;
        this.createTime = createTime;
        this.webserviceInfo = webserviceInfo;
    }

    public MessageLog() {

    }

    public void setValue(String masterId,String outContent, Integer result, String outJson, Date xmlCreateTime, Long executionTime, Date endTime, String type,String remark) {
        this.masterId = masterId;
        this.outContent = outContent;
        this.result = result;
        this.outJson = outJson;
        this.xmlCreateTime = xmlCreateTime;
        this.executionTime = executionTime;
        this.endTime = endTime;
        this.type = type;
        this.remark = remark;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInputContent() {
        return inputContent;
    }

    public void setInputContent(String inputContent) {
        this.inputContent = inputContent;
    }

    public String getOutContent() {
        return outContent;
    }

    public void setOutContent(String outContent) {
        this.outContent = outContent;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getResult() {
        return result;
    }

    public void setResult(Integer result) {
        this.result = result;
    }

    public String getOutJson() {
        return outJson;
    }

    public void setOutJson(String outJson) {
        this.outJson = outJson;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public Date getXmlCreateTime() {
        return xmlCreateTime;
    }

    public void setXmlCreateTime(Date xmlCreateTime) {
        this.xmlCreateTime = xmlCreateTime;
    }

    public Long getExecutionTime() {
        return executionTime;
    }

    public void setExecutionTime(Long executionTime) {
        this.executionTime = executionTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getXmlExecutionTime() {
        return xmlExecutionTime;
    }

    public void setXmlExecutionTime(Long xmlExecutionTime) {
        this.xmlExecutionTime = xmlExecutionTime;
    }

    public String getMasterId() {
        return masterId;
    }

    public void setMasterId(String masterId) {
        this.masterId = masterId;
    }

    public String getWebserviceInfo() {
        return webserviceInfo;
    }

    public void setWebserviceInfo(String webserviceInfo) {
        this.webserviceInfo = webserviceInfo;
    }
}
