package com.ann.demo.interfaces.config;

import com.ann.demo.interfaces.HomepageDictionary;
import com.ann.demo.interfaces.impl.HomepageDictionaryImpl;
import com.ann.demo.service.WebServiceDemo;
import lombok.extern.slf4j.Slf4j;
import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.xml.ws.Endpoint;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/6/11 17:13
 */
@Slf4j
@Configuration
public class WebServiceConfig {

    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }
    @Autowired
    private WebServiceDemo webServiceDemo;
    @Autowired
    private Bus bus;
    @Value("${server.port}")
    private String port;
    private static final String path = "/api";
    //把实现类交给spring管理
    @Bean
    public HomepageDictionary homepageDictionary() {
        return new HomepageDictionaryImpl();
    }

    @Bean
    public Endpoint endpoint() {
        System.out.println("-----------------------LIS已发布-------------------------");
        EndpointImpl endpoint = new EndpointImpl(springBus(), homepageDictionary());
        endpoint.publish("HomepageDictionary");
        return endpoint;
    }

    @Bean
    public Endpoint userServiceEndpoint() {
        EndpointImpl userEndpoint = new EndpointImpl(bus, webServiceDemo);
        userEndpoint.publish(path);
        System.out.println("在线的wsdl:http://localhost:"+port+"/services"+path+"?wsdl");
        log.info("在线的wsdl:http://localhost:"+port+"/services{}?wsdl",path);
        return userEndpoint;
    }

}
