package com.ann.demo.repository;

import com.ann.demo.entity.interfaceEntity.ExamApply;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/8/22 16:22
 */
@Repository
public interface ExamApplyRepository extends JpaRepository<ExamApply, String> {

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(value = "update Exam_Apply  set is_Valid = 1 where apply_Id = ?1 and is_Valid = 0 ",nativeQuery = true)
    public int updateExamApplyIsValidById(String applyId);

    @Query("select count(o) from ExamApply o  where o.applyId = ?1 and o.isValid = 0")
    public Integer countExamApply(String applyId);

    public ExamApply findByApplyIdAndIsValidAndIsOpenHisAndIsOpenOther(String applyId,Integer flag,String isOpenHis,String isOpenOther);

}
